Listar créditos de un cliente
curl --request GET \
--url https://api.finup.ar/api/clients/{clientId}/credits \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.finup.ar/api/clients/{clientId}/credits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.finup.ar/api/clients/{clientId}/credits"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"client_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"credit_config_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"status": "active",
"refinanced_from_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by": "<string>",
"origin_transaction_reference": "<string>",
"branch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sequential_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"written_off_at": "2023-11-07T05:31:56Z",
"write_off_reason": "<string>"
}
]{
"error": "<string>"
}{
"error": "<string>"
}Créditos
Listar créditos de un cliente
GET
https://api.finup.ar
/
api
/
clients
/
{clientId}
/
credits
Listar créditos de un cliente
curl --request GET \
--url https://api.finup.ar/api/clients/{clientId}/credits \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.finup.ar/api/clients/{clientId}/credits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.finup.ar/api/clients/{clientId}/credits"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"client_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"credit_config_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"status": "active",
"refinanced_from_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by": "<string>",
"origin_transaction_reference": "<string>",
"branch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sequential_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"written_off_at": "2023-11-07T05:31:56Z",
"write_off_reason": "<string>"
}
]{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
bearerAuthapiKeyAuth
API key del negocio enviada como Authorization: Bearer <clave>. El alcance read solo permite métodos seguros (GET/HEAD/OPTIONS); full permite además escribir.
Path Parameters
ID del cliente.
Response
Créditos del cliente.
Available options:
active, refinanced, closed, written_off, inactive 